Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Cost-Alerts

Server
Download schema

List cost alerts

GET
https://api.costfluent.com
/v1/cost-alerts
Bearer (API token)

Returns all cost alerts for a workspace

List cost alerts › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required
page
​integer · int32 · required
limit
​integer · int32 · required

List cost alerts › Responses

Success

CostfluentPublicApiModelsV1CommonPaginatedResponseOfCostAlertResponse
​CostfluentPublicApiModelsV1CommonPaginationLinks · required
​CostfluentPublicApiModelsV1ResponsesCostAlertResponse[] · required
GET/v1/cost-alerts
curl 'https://api.costfluent.com/v1/cost-alerts?workspaceId=[object Object]&page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": { "Value": "Value" }, "name": "name", "providerIds": [ { "Value": "Value" } ], "filter": "filter", "thresholdType": "thresholdType", "thresholdValue": 0, "comparisonPeriod": "comparisonPeriod", "appIds": [ { "Value": "Value" } ], "evaluationFrequencyMinutes": 0, "lastEvaluatedAt": "2024-08-25T15:00:00Z", "status": "status", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

Create cost alert

POST
https://api.costfluent.com
/v1/cost-alerts
Bearer (API token)

Creates a new cost alert

Create cost alert › Request Body

CostfluentPublicApiModelsV1RequestsCreateCostAlertRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
name
​string · minLength: 0 · maxLength: 255 · required
thresholdType
​CostfluentDomainEnumsAlertThresholdType · enum · required
Enum values:
absolute
percentageIncrease
budgetPercentage
tagCoverageBelow
thresholdValue
​number · double · required
​
​array | null
filter
​string | null
​array | null
evaluationFrequencyMinutes
​integer · int32 · min: 15 · max: 1440

Create cost alert › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostAlertCreatedResponse
​CostfluentSharedKernelPublicIdsCostAlertPublicId · required
name
​string · required
POST/v1/cost-alerts
curl https://api.costfluent.com/v1/cost-alerts \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "name": "name", "thresholdType": "absolute", "thresholdValue": 0.1, "comparisonPeriod": "previousDay", "providerIds": [ { "Value": "Value" } ], "filter": "filter", "appIds": [ { "Value": "Value" } ], "evaluationFrequencyMinutes": 15 }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "name": "name", "thresholdType": "absolute", "thresholdValue": 0.1, "comparisonPeriod": "previousDay", "providerIds": [ { "Value": "Value" } ], "filter": "filter", "appIds": [ { "Value": "Value" } ], "evaluationFrequencyMinutes": 15 }
json
Example Responses
{ "id": { "Value": "Value" }, "name": "name" }
json
application/json

Get cost alert

GET
https://api.costfluent.com
/v1/cost-alerts/{alertId}
Bearer (API token)

Returns a specific cost alert

Get cost alert › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Get cost alert › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get cost alert › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostAlertResponse
​CostfluentSharedKernelPublicIdsCostAlertPublicId · required
name
​string · required
thresholdType
​string · required
​CostfluentSharedKernelPublicIdsAppPublicId[] · required
status
​string · required
​array | null
filter
​string | null
thresholdValue
​number · double
comparisonPeriod
​string | null
evaluationFrequencyMinutes
​integer · int32
lastEvaluatedAt
​string | null · date-time
createdAt
​string · date-time
updatedAt
​string | null · date-time
GET/v1/cost-alerts/{alertId}
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "name": "name", "providerIds": [ { "Value": "Value" } ], "filter": "filter", "thresholdType": "thresholdType", "thresholdValue": 0, "comparisonPeriod": "comparisonPeriod", "appIds": [ { "Value": "Value" } ], "evaluationFrequencyMinutes": 0, "lastEvaluatedAt": "2024-08-25T15:00:00Z", "status": "status", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Update cost alert

PUT
https://api.costfluent.com
/v1/cost-alerts/{alertId}
Bearer (API token)

Updates a cost alert

Update cost alert › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Update cost alert › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Update cost alert › Request Body

CostfluentPublicApiEndpointsV1CostAlertsUpdateCostAlertRouteRequest
name
​string | null · minLength: 0 · maxLength: 255
​
thresholdValue
​number | null · double
​
providerIds
​array | null
filter
​string | null
appIds
​array | null
evaluationFrequencyMinutes
​integer | null · int32 · min: 15 · max: 1440

Update cost alert › Responses

No Content

No data returned
PUT/v1/cost-alerts/{alertId}
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId?workspaceId=[object Object]' \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name", "thresholdType": "absolute", "thresholdValue": 0.1, "comparisonPeriod": "previousDay", "providerIds": [ "string" ], "filter": "filter", "appIds": [ "string" ], "evaluationFrequencyMinutes": 15 }'
Example Request Body
{ "name": "name", "thresholdType": "absolute", "thresholdValue": 0.1, "comparisonPeriod": "previousDay", "providerIds": [ "string" ], "filter": "filter", "appIds": [ "string" ], "evaluationFrequencyMinutes": 15 }
json
Example Responses
No example specified for this content type

Delete cost alert

DELETE
https://api.costfluent.com
/v1/cost-alerts/{alertId}
Bearer (API token)

Deletes a cost alert

Delete cost alert › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Delete cost alert › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Delete cost alert › Responses

No Content

No data returned
DELETE/v1/cost-alerts/{alertId}
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId?workspaceId=[object Object]' \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Get cost alert events

GET
https://api.costfluent.com
/v1/cost-alerts/{alertId}/events
Bearer (API token)

Returns triggered events for a cost alert

Get cost alert events › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Get cost alert events › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required
limit
​integer | null · int32

Get cost alert events › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostAlertEventListResponse
​CostfluentPublicApiModelsV1ResponsesCostAlertEventResponse[] · required
total
​integer · int32 · required
GET/v1/cost-alerts/{alertId}/events
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId/events?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "events": [ { "id": { "Value": "Value" }, "triggeredAt": "2024-08-25T15:00:00Z", "thresholdValue": 0, "actualValue": 0, "comparisonValue": 0, "affectedProviderIds": [ { "Value": "Value" } ], "status": "status", "acknowledgedByUserId": { "Value": "Value" }, "acknowledgedAt": "2024-08-25T15:00:00Z", "resolvedAt": "2024-08-25T15:00:00Z" } ], "total": 0 }
json
application/json

Pause cost alert

POST
https://api.costfluent.com
/v1/cost-alerts/{alertId}/pause
Bearer (API token)

Pauses evaluation of a cost alert

Pause cost alert › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Pause cost alert › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Pause cost alert › Responses

No Content

No data returned
POST/v1/cost-alerts/{alertId}/pause
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId/pause?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Resume cost alert

POST
https://api.costfluent.com
/v1/cost-alerts/{alertId}/resume
Bearer (API token)

Resumes evaluation of a paused cost alert

Resume cost alert › path Parameters

​CostfluentSharedKernelPublicIdsCostAlertPublicId · required

Resume cost alert › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Resume cost alert › Responses

No Content

No data returned
POST/v1/cost-alerts/{alertId}/resume
curl 'https://api.costfluent.com/v1/cost-alerts/:alertId/resume?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Cost AlertsContracting